pcm-manager (0.19.8) unstable; urgency=medium

  * Update pcm-manager script

 -- SAH bot <sahbot@softathome.com>  Wed, 25 Sep 2024 14:27:06 +0000

pcm-manager (0.19.7) unstable; urgency=medium

  * [AppArmor] Create AppAmor profile for plugins

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Sep 2024 07:09:02 +0000

pcm-manager (0.19.6) unstable; urgency=medium

  * Better shutdown script

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Jul 2024 07:40:01 +0000

pcm-manager (0.19.5) unstable; urgency=medium

  * [tr181-deviceinfo] missing VendorConfigFile path for upload

 -- SAH bot <sahbot@softathome.com>  Thu, 18 Jul 2024 12:54:09 +0000

pcm-manager (0.19.4) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Mon, 08 Jul 2024 13:58:07 +0000

pcm-manager (0.19.3) unstable; urgency=medium

  * TR-181: Device.PersistentConfiguration data model issues 19.03.2024

 -- SAH bot <sahbot@softathome.com>  Mon, 08 Jul 2024 08:40:43 +0000

pcm-manager (0.19.2) unstable; urgency=medium

  * [tr181-pcm] cannot execute service protected import and export functions

 -- SAH bot <sahbot@softathome.com>  Mon, 01 Jul 2024 10:04:28 +0000

pcm-manager (0.19.1) unstable; urgency=medium

  * [DeviceInfo] VendorConfigFile instance must be created when we call the PCM.Backup

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Jun 2024 08:16:30 +0000

pcm-manager (0.19.0) unstable; urgency=medium

  * [tr181-pcm] Userflags must be configurable

 -- SAH bot <sahbot@softathome.com>  Tue, 16 Apr 2024 11:01:38 +0000

pcm-manager (0.18.1) unstable; urgency=medium

  * Make amxb timeouts configurable

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Apr 2024 09:18:22 +0000

pcm-manager (0.18.0) unstable; urgency=medium

  * Add tr181-device proxy odl files to components

 -- SAH bot <sahbot@softathome.com>  Sat, 23 Mar 2024 13:18:55 +0000

pcm-manager (0.17.2) unstable; urgency=medium

  * [pcm-manager] Add support for opensslv3

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Mar 2024 15:02:34 +0000

pcm-manager (0.17.1) unstable; urgency=medium

  * Missing acl rule for PCM

 -- SAH bot <sahbot@softathome.com>  Fri, 01 Mar 2024 10:25:23 +0000

pcm-manager (0.17.0) unstable; urgency=medium

  * [tr181-pcm] Rework the Backup/Restore API

 -- SAH bot <sahbot@softathome.com>  Wed, 28 Feb 2024 10:26:12 +0000

pcm-manager (0.16.6) unstable; urgency=medium

  * [tr181-pcm] Enable large file support when using libarchive on Linux

 -- SAH bot <sahbot@softathome.com>  Thu, 18 Jan 2024 07:59:57 +0000

pcm-manager (0.16.5) unstable; urgency=medium

  * [PCM] BackupFile instances are not updated

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Jan 2024 08:07:36 +0000

pcm-manager (0.16.4) unstable; urgency=medium

  * [tr181-pcm] compilation error O_CLOEXEC undeclared

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Jan 2024 15:29:35 +0000

pcm-manager (0.16.3) unstable; urgency=medium

  * [tr181-pcm] generate tarball using libarchive

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Jan 2024 10:16:06 +0000

pcm-manager (0.16.2) unstable; urgency=medium

  * Modify lib_bart for PCB Components Compatibility with PCM-Manager

 -- SAH bot <sahbot@softathome.com>  Thu, 30 Nov 2023 09:15:02 +0000

pcm-manager (0.16.1) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Wed, 08 Nov 2023 13:12:29 +0000

pcm-manager (0.16.0) unstable; urgency=medium

  * [TR181-pcm] Add support for different backup file types

 -- SAH bot <sahbot@softathome.com>  Sat, 28 Oct 2023 07:12:27 +0000

pcm-manager (0.15.0) unstable; urgency=medium

  * [amxrt][no-root-user][capability drop]pcm-manager must be adapted to run as non-root and lmited capabilities

 -- SAH bot <sahbot@softathome.com>  Fri, 13 Oct 2023 15:16:48 +0000

pcm-manager (0.14.1) unstable; urgency=medium

  * [tr181-pcm] Objects are not registered with pcm-manager

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Sep 2023 15:21:21 +0000

pcm-manager (0.14.0) unstable; urgency=medium

  * Move datamodel prefixes to the device proxy

 -- SAH bot <sahbot@softathome.com>  Thu, 31 Aug 2023 13:52:30 +0000

pcm-manager (0.13.1) unstable; urgency=medium

  * [tr181-DeviceInfo] Crash of ReadUsersetting and WriteUsersetting rpcs

 -- SAH bot <sahbot@softathome.com>  Thu, 31 Aug 2023 09:14:10 +0000

pcm-manager (0.13.0) unstable; urgency=medium

  * [tr181-pcm] Clean up the code of pcm-manager

 -- SAH bot <sahbot@softathome.com>  Wed, 02 Aug 2023 07:46:43 +0000

pcm-manager (0.12.0) unstable; urgency=medium

  * [tr181-pcm] Store multiple Usersetting backup files

 -- SAH bot <sahbot@softathome.com>  Wed, 26 Jul 2023 11:47:59 +0000

pcm-manager (0.11.1) unstable; urgency=medium

  * Init script has no shutdown function

 -- SAH bot <sahbot@softathome.com>  Tue, 04 Jul 2023 15:04:26 +0000

pcm-manager (0.11.0) unstable; urgency=medium

  * [tr181-pcm] Determine when the Restore/Backup is complete for each plugin

 -- SAH bot <sahbot@softathome.com>  Fri, 16 Jun 2023 14:21:55 +0000

pcm-manager (0.10.2) unstable; urgency=medium

  * [tr181-pcm] Restore function has stop working

 -- SAH bot <sahbot@softathome.com>  Thu, 15 Jun 2023 08:38:27 +0000

pcm-manager (0.10.1) unstable; urgency=medium

  * - [PCM] Set /cfg as the default folder for backups.

 -- SAH bot <sahbot@softathome.com>  Thu, 25 May 2023 09:53:59 +0000

pcm-manager (0.10.0) unstable; urgency=medium

  * [tr181-pcm] Create encrypted usersetting backup files

 -- SAH bot <sahbot@softathome.com>  Thu, 04 May 2023 14:31:44 +0000

pcm-manager (0.9.1) unstable; urgency=medium

  * [tr181-pcm] Generation of tarball files should be configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 28 Apr 2023 09:16:58 +0000

pcm-manager (0.9.0) unstable; urgency=medium

  * [tr181-pcm] Backup and Restore parameters with usersetting flag

 -- SAH bot <sahbot@softathome.com>  Thu, 13 Apr 2023 12:15:41 +0000

pcm-manager (0.8.1) unstable; urgency=medium

  * [PCM] Duplicate instance error when loading persistent data

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Apr 2023 07:34:37 +0000

pcm-manager (0.8.0) unstable; urgency=medium

  * [tr181-pcm] Include XML files in the backup and restore procedure.

 -- SAH bot <sahbot@softathome.com>  Tue, 04 Apr 2023 11:35:52 +0000

pcm-manager (0.7.1) unstable; urgency=medium

  * [Config] enable configurable coredump generation

 -- SAH bot <sahbot@softathome.com>  Mon, 20 Mar 2023 09:50:42 +0000

pcm-manager (0.7.0) unstable; urgency=medium

  * [mod-pcm-svc] Migrate the mod_bart_svc to the mod_pcm_svc module

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Mar 2023 14:09:32 +0000

pcm-manager (0.6.5) unstable; urgency=medium

  * [PCM] modify user flag "usersettings" to "usersetting"

 -- SAH bot <sahbot@softathome.com>  Mon, 27 Feb 2023 09:52:47 +0000

pcm-manager (0.6.4) unstable; urgency=medium

  * [tr181-pcm] unit test teardown has error

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Jan 2023 10:00:54 +0000

pcm-manager (0.6.3) unstable; urgency=medium

  * avoidable copies of strings, htables and lists

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Jan 2023 10:16:06 +0000

pcm-manager (0.6.2) unstable; urgency=medium

  * [Config] coredump generation should be configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 09:30:02 +0000

pcm-manager (0.6.1) unstable; urgency=medium

  * gcc 11.2.0 linker cannot find -lsahtrace

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Nov 2022 12:19:52 +0000

pcm-manager (0.6.0) unstable; urgency=medium

  * [PCM] PCM-Manager support restore on register and auto sync ctrl

 -- SAH bot <sahbot@softathome.com>  Thu, 16 Jun 2022 06:46:04 +0000

pcm-manager (0.5.5) unstable; urgency=medium

  * [Gitlab CI][Unit tests][valgrind] Pipeline doesn't stop when memory leaks are detected

 -- SAH bot <sahbot@softathome.com>  Thu, 19 May 2022 12:44:20 +0000

pcm-manager (0.5.4) unstable; urgency=medium

  * [TR181-PCM] PCMImport fails to find variants path

 -- SAH bot <sahbot@softathome.com>  Fri, 29 Apr 2022 15:16:24 +0000

pcm-manager (0.5.3) unstable; urgency=medium

  * [GetDebugInformation] Add data model debuginfo in component services

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Mar 2022 10:59:12 +0000

pcm-manager (0.5.2) unstable; urgency=medium

  * Enable core dumps by default

 -- SAH bot <sahbot@softathome.com>  Fri, 25 Feb 2022 11:42:52 +0000

pcm-manager (0.5.1) unstable; urgency=medium

  * Use default flags
  * Ensure backup path exist on boot

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Jan 2022 09:32:20 +0000

pcm-manager (0.5.0) unstable; urgency=medium

  * pcm manager should use mod_pcm_scv for backuping itself

 -- SAH bot <sahbot@softathome.com>  Wed, 22 Dec 2021 07:18:03 +0000

pcm-manager (0.4.1) unstable; urgency=medium

  * [CI] Disable g++ compilation
  * [CI] Update dependencies

 -- SAH bot <sahbot@softathome.com>  Mon, 29 Nov 2021 10:42:22 +0000

pcm-manager (0.4.0) unstable; urgency=medium

  * Implement pcm_json mod (soc)
  * Cleanup of DM + implementation of missing functions

 -- SAH bot <sahbot@softathome.com>  Mon, 29 Nov 2021 09:59:46 +0000

pcm-manager (0.3.1) unstable; urgency=medium

  * Add init script

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Oct 2021 07:24:17 +0000

pcm-manager (0.3.0) unstable; urgency=medium

  * Add initial registration support + register pcm against itself

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Oct 2021 14:25:17 +0000

pcm-manager (0.2.0) unstable; urgency=medium

  * Add PersistentConfiguration datamodel

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Oct 2021 08:21:38 +0000

pcm-manager (0.1.0) unstable; urgency=medium

  * Add initial boilerplate code for pcm-manager component

 -- SAH bot <sahbot@softathome.com>  Thu, 30 Sep 2021 12:29:53 +0000

pcm-manager (0.0.0) unstable; urgency=medium

  * Initial release

 -- VANBEVER Frank <frank.vanbever_ext@softathome.com>  Wed, 29 Sep 2021 10:51:54 +0200
